<?php

function atrz_tot()
{
require('../cfg/res.php');

mysql_query('update atrz0 set atrz_descri=atrz_razsoc where atrz_descri="" or atrz_descri is null',$link_vcrx);
mysql_query('update atrz0 set atrz_status="-" where atrz_status is null',$link_vcrx);

$xacceso=0;
$sql_acce='select * from usrdoc1 where docu like "ATRZ%" and cons="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Lista de Autorizaciones ' );}	

	
$res_m=mysql_query('alter table atrd0 modify column atrd_codigo int not null auto_increment first',$link_vcrx);
// echo $res_m.'aaaa';
	
$xfgrou='L';
$xforde='D';
$xfcodi='1';
$xfentt='1';


$sql_atrz0='update atrz0 set atrz_docu="FP" where atrza_docu ="" or atrz_docu is null';
$res_atrz0=mysql_query($sql_atrz0,$link_vcrx);

$sql_atrz0='update atrz0 set atrz_status="-" where atrz_status is null';
$res_atrz0=mysql_query($sql_atrz0,$link_vcrx);

$sql_atrz0='update atrz0 set atrz_descri="" where atrz_descri is null';
$res_atrz0=mysql_query($sql_atrz0,$link_vcrx);
	
	
	
	
if (1==0)
{
// CARGA DATOS DE AUTORIACIONES	

$sql_atrz0='select * from atrz0 ';
$res_atrz0=mysql_query($sql_atrz0,$link_vcrx);

while($r_atrz0=mysql_fetch_assoc($res_atrz0))
{
	$xatrz=trim($r_atrz0['atrz_codigo']);
	$xdocu=trim($r_atrz0['atrz_docu']);
	$xptoe=trim($r_atrz0['atrz_serie']);
	$xdesde=trim($r_atrz0['atrz_desde']);
	$xhasta=trim($r_atrz0['atrz_hasta']);
	

	$sql_atrd0='select * from atrd0 where trim(atrd_atrz)="'.$xatrz.'" order by atrd_codigo';
	$res_atrd0=mysql_query($sql_atrd0,$link_vcrx);
	if (mysql_num_rows($res_atrd0)==0)
	{
		$sql_atrd0='insert into atrd0(atrd_atrz) value("'.$xatrz.'")';
		$res_atrd0=mysql_query($sql_atrd0,$link_vcrx);

		$sql_atrd0='update atrd0 set ';
		$sql_atrd0.='atrd_docu="'.$xdocu.'", ';
		$sql_atrd0.='atrd_ptoe="'.$xptoe.'", ';
		$sql_atrd0.='atrd_desde="'.$xdesde.'",';
		$sql_atrd0.='atrd_hasta="'.$xhasta.'" ';
		$sql_atrd0.='where atrd_atrz="'.$xatrz.'"';
		$res_atrd0=mysql_query($sql_atrd0,$link_vcrx);
//  		echo $sql_atrd0;
	}
}
}	
	
mysql_query("SET NAMES 'utf8'");
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-12 month' , strtotime ( $fecha1 ) ) ;
// $xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1 = date ( 'Y-m-01' , $nuevafecha );
$xfecha2= date('Y-m-d');

?>



<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>


function _fecha(e,idfec)
{
// 	if(e.keyCode==13)
if(e.keyCode==9 || e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}



function atrzl1d(grupox,idnumx,obj)
{
	
	
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

document.getElementById('atrzlot2').innerHTML='Cargando...';
$.ajax({
		cache:false,
		url:'../lib/vratrzl1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 console.log(dato);
			 document.getElementById('atrzlot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('atrzlot2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('atrzlot2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('atrzlot2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('atrzlot2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('atrzlot2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('atrzlot2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('atrzlot2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}


function redireccionar() 
{
	document.body.style.cursor='wait';
	
// var enti=document.getElementById('item').value;
// var atrz=document.getElementById('atrz').value;
// var fzsub=document.getElementById('fzsub').value;
var enti=document.getElementById('enti').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}

// var fgrout=document.getElementById('fgrout').checked;
// var fgrour=document.getElementById('fgrour').checked;
// var fgrouv=document.getElementById('fgrouv').checked;
// var fgrouz=document.getElementById('fgrouz').checked;
// var fgroul=document.getElementById('fgroul').checked;

// var fcodis=document.getElementById('fcodis').checked;
// var fcodia=document.getElementById('fcodia').checked;
// var fcodie=document.getElementById('fcodie').checked;

// var fenttt=document.getElementById('fenttt').checked;
// var fenttc=document.getElementById('fenttc').checked;
// var fenttp=document.getElementById('fenttp').checked;
// var fentte=document.getElementById('fentte').checked;

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;

var fgrou='D';
var forde='D';
var fcodi='1';
// var fentt='4';

// if (fcodis){fcodi='1';}
// if (fcodia){fcodi='2';}
// if (fcodie){fcodi='3';}

// if (fenttc){fentt='1';}
// if (fenttp){fentt='2';}
// if (fentte){fentt='3';}
// if (fenttt){fentt='4';}

	
// if (fgrout){fgrou='T';}
// if (fgrour){fgrou='R';}
// if (fgrouv){fgrou='V';}
// if (fgrouz){fgrou='Z';}
// if (fgroul){fgrou='L';}

if (fordec){forde='C';}
if (forded){forde='D';}
// console.log(fentt);
	
// pagina="?opt=<?php echo $_GET['opt']?>" 
// +"&fecha_ini="+fecha_ini 
// +"&fecha_fin="+fecha_fin 
// +"&fgrou="+fgrou
// +"&fcodi="+fcodi
// +"&forde="+forde
// +"&item="+item
// +"&fmrca="+fmrca 
// +"&fmdlo="+fmdlo 
// +"&fnpar="+fnpar 
// +"&flsub="+flsub 
// +"&fctlg="+fctlg;
// console.log(pagina);

document.getElementById('atrzlot1').innerHTML='Cargando datos...';

		$.ajax({
		cache:false,
		url:'vratrzl2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		forde:forde,
		enti:enti}, 
    	beforeSend: function(jqXHR, textStatus){}, 
		success:function(dato, textStatus, jqXHR)
		{document.getElementById('atrzlot1').innerHTML=dato;},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {console.log('Not connect: Verify Network.');}
					else if (jqXHR.status == 404) {console.log('Requested page not found [404]');}
					else if (jqXHR.status == 500) {console.log('Internal Server Error [500].');}
					else if (exception === 'parsererror') {console.log('Requested JSON parse failed.');}
					else if (exception === 'timeout') {alert('Servidor no Responde');}
					else if (exception === 'abort') {console.log('Ajax request aborted.');}
					else {console.log('Uncaught Error: ' + jqXHR.responseText);}
		}, 
		complete:function(jqXHR, textStatus)
    	{if(textStatus==='success'){}},
		timeout:300000
	});

	document.body.style.cursor='auto';


//location.href=pagina;
} 



//function imprimirlista(entix,entid) 

function imprimirlista() 
{

// var enti=document.getElementById('item').value;
var item=document.getElementById('item').value;

var flsub=document.getElementById('flsub').value;
var fmrca=document.getElementById('fmrca').value;
var fmdlo=document.getElementById('fmdlo').value;
var fnpar=document.getElementById('fnpar').value;
var fctlg=document.getElementById('fctlg').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}


var fgroul=document.getElementById('fgroul').checked;

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;

var fcodis=document.getElementById('fcodis').checked;
var fcodia=document.getElementById('fcodia').checked;
var fcodie=document.getElementById('fcodie').checked;
	
var fgrou='L';
var forde='D';
var fcodi='1';
var fentt='4';

if (fcodis){fcodi='1';}
if (fcodia){fcodi='2';}
if (fcodie){fcodi='3';}

	

if (fgroul){fgrou='L';}

if (fordec){forde='C';}
if (forded){forde='D';}

console.log(fentt);
// echo fentt;

pagina="../lib/impr_atrzl0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fgrou="+fgrou
+"&fcodi="+fcodi
+"&fentt="+fentt
+"&forde="+forde
+"&fitem="+item
+"&fmrca="+fmrca 
+"&fmdlo="+fmdlo 
+"&fnpar="+fnpar 
+"&flsub="+flsub 
+"&fctlg="+fctlg;

console.log(pagina);

window.open(pagina);
} 

function abriretiqueta(cod) 
{
	var eti='0';
	if(document.getElementById('chkmrca').checked)
	{eti='1';}

	var itlla='0';
	if(document.getElementById('chktlla').checked)
	{itlla='1';}

	var ipvp1='0';
	if(document.getElementById('chkpvp1').checked)
	{ipvp1='1';}

	var lote=document.getElementById('txt_lote').value;
	if (ipvp1=='1'){lote='';}

	
	var urlx='lblbcgnya1.php?itemi='+cod+'&eti='+eti+'&itlla='+itlla+'&ipvp1='+ipvp1+'&lote='+lote;
    window.open(urlx, "codigo de barras", "directories=no, location=no, menubar=yes, scrollbars=yes, statusbar=yes, tittlebar=yes");
}

function _lsub(e)
{
	if(e.keyCode==13)
	{
// 		busca_maes2('lsub',document.getElementById('flsub').value,'flsub','lsub_descri','');
	}
}

function _atrz(e)
{
	if( e.keyCode==13)
	{
// 			busca_maes2('item',document.getElementById('item').value,'item','descri','');
	}
}

function _mrca(e)
{
	if(e.keyCode==13)
	{
// 		busca_maes2('mrca',document.getElementById('fmrca').value,'fmrca','mrca_descri','');
	}
}

	
</script>

<div style=" max-height:200px; overflow-y:scroll; margin-top:5px;">

<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table>	
	<caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
</table>
</th>



<th style ="border-left:solid 1px;display:none;" >
<div align="center" >
<span>AGRUPADO X</span>
</div>
<div>
<input type="radio" id="fgroul" name="fgroup" <?php if($xfgrou=='L'){echo 'checked';}?>/><span>Lineas</span> <br/>
<input type="hidden" id="fgrout" name="fgroup" <?php if($xfgrou=='T'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrouz" name="fgroup" <?php if($xfgrou=='Z'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrouv" name="fgroup" <?php if($xfgrou=='V'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrour" name="fgroup" <?php if($xfgrou=='R'){echo 'checked';}?>/><span></span> <br/>
</div>
</th>



<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<div>
<input type="radio" id="forded" name="forder" <?php if($xforde=='D'){echo 'checked';}?>/><span>Nombre</span> <br/>
<input type="radio" id="fordec" name="forder" <?php if($xforde=='C'){echo 'checked';}?>/><span>Codigo</span> <br/>
</div>
</th>

<th style ="border-left:solid 1px;display:none;">
<div align="center">
<span>CODIGOS</span>
</div>
<div>
<input type="radio" id="fcodis" name="tcodi" <?php if($xfcodi=='1'){echo 'checked';}?>/><span>Sistema</span> <br/>
<input type="radio" id="fcodia" name="tcodi" <?php if($xfcodi=='2'){echo 'checked';}?>/><span>Auxiliar</span> <br/>
<input type="radio" id="fcodie" name="tcodi" <?php if($xfcodi=='3'){echo 'checked';}?>/><span>EAN (Barras)</span> <br/>
</div>
</th>

<th style ="border-left:solid 1px;display:none;">
<div align="center">
<span>AUTORIZACIONES</span>
</div>
<div>
<input type="radio" id="fenttc" name="fentt" <?php if($xfentt=='1'){echo 'checked';}?>/><span>Clientes</span> <br/>
<input type="radio" id="fenttp" name="fentt" <?php if($xfentt=='2'){echo 'checked';}?>/><span>Proveedores</span> <br/>
<input type="radio" id="fentte" name="fentt" <?php if($xfentt=='3'){echo 'checked';}?>/><span>Empleados</span> <br/>
<input type="radio" id="fenttt" name="fentt" <?php if($xfentt=='4'){echo 'checked';}?>/><span>Todos</span> <br/>
</div>
</th>


<th style ="border-left:solid 1px;display:none;">	
<table>
	<th>
		<td><b>ETIQUETA</b></td>
	</th>
	<tr>
		<td>Marca<input type="checkbox" id="chkmrca" checked="checked" /></td>
<!-- 	</tr>
	<tr> -->
		<td>P.V.P<input type="checkbox" id="chkpvp1" checked="checked" /></td>
	</tr>
	<tr>
		<td>Talla<input type="checkbox" id="chktlla" checked="checked" /></td>
	</tr>
  <tr>
		<?php $pcaption='LOTE';   $pidtxt='txt_lote'; $plong=10; $pobj=3; include('vrgettxt.php'); ?>
<!-- 		<td>Lote<input type="text" class="txt_titulo" id="txt_lote"  value="" placeholder="lote"  maxlength="10" size="10" style="width:100%;" /></td>     -->
	</tr>    
</table>                
	</th>	
	

<th align="center" style ="border-left:solid 1px;">

<div>
<input type="button" value="Consultar" onclick="redireccionar();"  />
</div>
<br>
<div>
<input type="button" value="Imprimir" onclick="imprimirlista();"  />
</div>
<br>
<div><input type="button" value="Nuevo" onclick="window.open('natrz1.php','_blank');"  /></div>

</th>

</tr>
</table>

<table id="tabla_filtros2" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<th style ="border-left:solid 1px;">
<div align="center">
<span>FILTROS</span>
</div>
<table>
<tr style="">
		<?php $pcaption='ENTIDAD';  $ptabla='enti'; $pdefa=$xfenti; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='ZONA';  $ptabla='zsub'; $pidtxt='fzsub'; $pdefa=$xfzsub; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='T.PROV';  $ptabla='tpro'; $pidtxt='ftpro';  $pdefa=$xftpro; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='LINEA';  $ptabla='lsub'; $pidtxt='flsub'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='ITEM';  $ptabla='item'; $pidtxt='item'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
</table>	
	
</th>
<th>
<table>
<tr style="display:none;">
		<?php $pcaption='MARCA';  $ptabla='mrca'; $pidtxt='fmrca'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='MODELO';   $pidtxt='fmdlo'; $plong=20; include('vrgettxt.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='Num.Parte';   $pidtxt='fnpar'; $plong=20; include('vrgettxt.php'); ?>
</tr>
</table>	
	
</th>
<th style ="border-left:solid 1px; <?php	if (mb_stristr('gnya.gmny.leie',substr($_SESSION['user_vcrx_empr'],0,4))){}else{echo 'display:none;';} ?>">
<table >
<tr style="display:none;">
		<?php $pcaption='CATALOGO';   $pidtxt='fctlg'; $plong=5; include('vrgettxt.php'); ?>
</tr>
</table>	
	</th>
	
<th style="border-left:solid 1px; <?php	if (mb_stristr('rcsa',substr($_SESSION['user_vcrx_empr'],0,4))){}else{echo 'display:none;';} ?>">
<table >
<caption>VEHICULO</caption>	
<tr style="display:none;">
		<?php $pcaption='MARCA';   $ptabla='mrca'; $pidtxt='fmrca2'; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='MODELO';   $pidtxt='fmdlo2'; $plong=20; include('vrgettxt.php'); ?>
</tr>
</table>	
	
</th>
	
</table>

</div>

<hr/>


<div id="atrzlot1" style="overflow-y:scroll;overflow-x:scroll; height:200px;"></div>

<br>
<div id="atrzlot2" style="overflow-x:scroll;"></div>

<?php		
// $xwidth=40;	
require('lista_car.php');
?>	


<?php }?>

